<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Login' => '\\StructType\\Login',
            'LoginResponse' => '\\StructType\\LoginResponse',
            'Logout' => '\\StructType\\Logout',
            'GetRequestList' => '\\StructType\\GetRequestList',
            'RequestState' => '\\StructType\\RequestState',
            'ArrayOfRequestState' => '\\ArrayType\\ArrayOfRequestState',
            'GetRequestListResponse' => '\\StructType\\GetRequestListResponse',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'SetRequestForSubmit' => '\\StructType\\SetRequestForSubmit',
            'SetRequestForSubmitInnStatus' => '\\StructType\\SetRequestForSubmitInnStatus',
            'ArrayOfSetRequestForSubmitInnStatus' => '\\ArrayType\\ArrayOfSetRequestForSubmitInnStatus',
            'SetRequestForSubmitResponse' => '\\StructType\\SetRequestForSubmitResponse',
            'FiasAddress' => '\\StructType\\FiasAddress',
            'GetHouseInfo' => '\\StructType\\GetHouseInfo',
            'FullAddress' => '\\StructType\\FullAddress',
            'HouseInfo' => '\\StructType\\HouseInfo',
            'ArrayOfHouseInfo' => '\\ArrayType\\ArrayOfHouseInfo',
            'GetHouseInfoResponse' => '\\StructType\\GetHouseInfoResponse',
            'GetHouseProfile' => '\\StructType\\GetHouseProfile',
            'Facade' => '\\StructType\\Facade',
            'Roof' => '\\StructType\\Roof',
            'Basement' => '\\StructType\\Basement',
            'CommonSpace' => '\\StructType\\CommonSpace',
            'Chute' => '\\StructType\\Chute',
            'HeatingSystem' => '\\StructType\\HeatingSystem',
            'HotWaterSystem' => '\\StructType\\HotWaterSystem',
            'ColdWaterSystem' => '\\StructType\\ColdWaterSystem',
            'SewerageSystem' => '\\StructType\\SewerageSystem',
            'ElectricitySystem' => '\\StructType\\ElectricitySystem',
            'GasSystem' => '\\StructType\\GasSystem',
            'Lift' => '\\StructType\\Lift',
            'ArrayOfLift' => '\\ArrayType\\ArrayOfLift',
            'ArrayOfInt' => '\\ArrayType\\ArrayOfInt',
            'ManagementContract' => '\\StructType\\ManagementContract',
            'Provider' => '\\StructType\\Provider',
            'Finance' => '\\StructType\\Finance',
            'HouseProfileData' => '\\StructType\\HouseProfileData',
            'FileInfo' => '\\StructType\\FileInfo',
            'ArrayOfFileInfo' => '\\ArrayType\\ArrayOfFileInfo',
            'GetHouseProfileResponse' => '\\StructType\\GetHouseProfileResponse',
            'GetHouseProfile988' => '\\StructType\\GetHouseProfile988',
            'HouseCadastralNumber' => '\\StructType\\HouseCadastralNumber',
            'ArrayOfHouseCadastralNumber' => '\\ArrayType\\ArrayOfHouseCadastralNumber',
            'HouseFacade' => '\\StructType\\HouseFacade',
            'ArrayOfHouseFacade' => '\\ArrayType\\ArrayOfHouseFacade',
            'HouseRoof' => '\\StructType\\HouseRoof',
            'ArrayOfHouseRoof' => '\\ArrayType\\ArrayOfHouseRoof',
            'HouseAdditionalEquipment' => '\\StructType\\HouseAdditionalEquipment',
            'ArrayOfHouseAdditionalEquipment' => '\\ArrayType\\ArrayOfHouseAdditionalEquipment',
            'HouseMeteringDevice' => '\\StructType\\HouseMeteringDevice',
            'ArrayOfHouseMeteringDevice' => '\\ArrayType\\ArrayOfHouseMeteringDevice',
            'HouseLift' => '\\StructType\\HouseLift',
            'ArrayOfHouseLift' => '\\ArrayType\\ArrayOfHouseLift',
            'HouseManagementContract' => '\\StructType\\HouseManagementContract',
            'HouseServiceReportVolume' => '\\StructType\\HouseServiceReportVolume',
            'ArrayOfHouseServiceReportVolume' => '\\ArrayType\\ArrayOfHouseServiceReportVolume',
            'HouseServiceReport' => '\\StructType\\HouseServiceReport',
            'HouseServiceCost' => '\\StructType\\HouseServiceCost',
            'ArrayOfHouseServiceCost' => '\\ArrayType\\ArrayOfHouseServiceCost',
            'HouseService' => '\\StructType\\HouseService',
            'ArrayOfHouseService' => '\\ArrayType\\ArrayOfHouseService',
            'HouseCommunalServiceCost' => '\\StructType\\HouseCommunalServiceCost',
            'ArrayOfHouseCommunalServiceCost' => '\\ArrayType\\ArrayOfHouseCommunalServiceCost',
            'HouseCommunalServiceNormativeAct' => '\\StructType\\HouseCommunalServiceNormativeAct',
            'ArrayOfHouseCommunalServiceNormativeAct' => '\\ArrayType\\ArrayOfHouseCommunalServiceNormativeAct',
            'HouseCommunalServiceVolumesReport' => '\\StructType\\HouseCommunalServiceVolumesReport',
            'HouseCommunalService' => '\\StructType\\HouseCommunalService',
            'ArrayOfHouseCommunalService' => '\\ArrayType\\ArrayOfHouseCommunalService',
            'HouseOverhaul' => '\\StructType\\HouseOverhaul',
            'HouseCommonMeeting' => '\\StructType\\HouseCommonMeeting',
            'ArrayOfHouseCommonMeeting' => '\\ArrayType\\ArrayOfHouseCommonMeeting',
            'HouseCommonPropertyRent' => '\\StructType\\HouseCommonPropertyRent',
            'HouseCommonProperty' => '\\StructType\\HouseCommonProperty',
            'ArrayOfHouseCommonProperty' => '\\ArrayType\\ArrayOfHouseCommonProperty',
            'HouseReportCommon' => '\\StructType\\HouseReportCommon',
            'HouseReportCommunalService' => '\\StructType\\HouseReportCommunalService',
            'HouseReportClaimsToConsumers' => '\\StructType\\HouseReportClaimsToConsumers',
            'HouseReportQualityOfWorkClaims' => '\\StructType\\HouseReportQualityOfWorkClaims',
            'HouseReport' => '\\StructType\\HouseReport',
            'HouseAlarmFailure' => '\\StructType\\HouseAlarmFailure',
            'HouseAlarm' => '\\StructType\\HouseAlarm',
            'HouseProfileData988' => '\\StructType\\HouseProfileData988',
            'GetHouseProfile988Response' => '\\StructType\\GetHouseProfile988Response',
            'SetHouseProfile' => '\\StructType\\SetHouseProfile',
            'GetHouseProfileSF' => '\\StructType\\GetHouseProfileSF',
            'ArrayOfGetHouseProfileResponse' => '\\ArrayType\\ArrayOfGetHouseProfileResponse',
            'GetHouseProfileSFResponse' => '\\StructType\\GetHouseProfileSFResponse',
            'GetHouseProfileSF988' => '\\StructType\\GetHouseProfileSF988',
            'GetHouseProfileSF988Response' => '\\StructType\\GetHouseProfileSF988Response',
            'GetHouseProfileSFActual' => '\\StructType\\GetHouseProfileSFActual',
            'GetHouseProfileSFActualResponse' => '\\StructType\\GetHouseProfileSFActualResponse',
            'GetHouseProfileActual' => '\\StructType\\GetHouseProfileActual',
            'GetHouseProfileActualResponse' => '\\StructType\\GetHouseProfileActualResponse',
            'SetHouseProfile988' => '\\StructType\\SetHouseProfile988',
            'GetHouseList' => '\\StructType\\GetHouseList',
            'HouseData' => '\\StructType\\HouseData',
            'ArrayOfHouseData' => '\\ArrayType\\ArrayOfHouseData',
            'GetHouseListResponse' => '\\StructType\\GetHouseListResponse',
            'GetHouseListByPage' => '\\StructType\\GetHouseListByPage',
            'GetHouseListByPageHandlerResponse' => '\\StructType\\GetHouseListByPageHandlerResponse',
            'GetHouseListByPageResponse' => '\\StructType\\GetHouseListByPageResponse',
            'SetHouseLinkToOrganization' => '\\StructType\\SetHouseLinkToOrganization',
            'SetNewHouse' => '\\StructType\\SetNewHouse',
            'SetNewHouseResponse' => '\\StructType\\SetNewHouseResponse',
            'UnlinkHouseFromOrganizationData' => '\\StructType\\UnlinkHouseFromOrganizationData',
            'SetUnlinkFromOrganization' => '\\StructType\\SetUnlinkFromOrganization',
            'NewCompanyProfileData' => '\\StructType\\NewCompanyProfileData',
            'SetNewCompany' => '\\StructType\\SetNewCompany',
            'GetCompanyProfile' => '\\StructType\\GetCompanyProfile',
            'CountDismissed' => '\\StructType\\CountDismissed',
            'CountHousesUnderMngReportDate' => '\\StructType\\CountHousesUnderMngReportDate',
            'CountHousesUnderMngStartPeriod' => '\\StructType\\CountHousesUnderMngStartPeriod',
            'SumSqHousesUnderMngReportDate' => '\\StructType\\SumSqHousesUnderMngReportDate',
            'SumSqHousesUnderMngStartPeriod' => '\\StructType\\SumSqHousesUnderMngStartPeriod',
            'AvgTimeServiceMkd' => '\\StructType\\AvgTimeServiceMkd',
            'IncomeOfMng' => '\\StructType\\IncomeOfMng',
            'IncomeOfUsage' => '\\StructType\\IncomeOfUsage',
            'IncomeOfKu' => '\\StructType\\IncomeOfKu',
            'SpendingOfMng' => '\\StructType\\SpendingOfMng',
            'ClaimsByContractsMng' => '\\StructType\\ClaimsByContractsMng',
            'ClaimsByRso' => '\\StructType\\ClaimsByRso',
            'DebtForMng' => '\\StructType\\DebtForMng',
            'DebtOwnersForKu' => '\\StructType\\DebtOwnersForKu',
            'DebtUoForKu' => '\\StructType\\DebtUoForKu',
            'ChargedForMng' => '\\StructType\\ChargedForMng',
            'ChargedForResources' => '\\StructType\\ChargedForResources',
            'SpendingRepair' => '\\StructType\\SpendingRepair',
            'SpendingBeauty' => '\\StructType\\SpendingBeauty',
            'SpendingRepairInvests' => '\\StructType\\SpendingRepairInvests',
            'PayedKuByStatements' => '\\StructType\\PayedKuByStatements',
            'PayedKuByNeeds' => '\\StructType\\PayedKuByNeeds',
            'CompanyProfileData' => '\\StructType\\CompanyProfileData',
            'GetCompanyProfileResponse' => '\\StructType\\GetCompanyProfileResponse',
            'GetCompanyProfile988' => '\\StructType\\GetCompanyProfile988',
            'Disturbance' => '\\StructType\\Disturbance',
            'ArrayOfDisturbance' => '\\ArrayType\\ArrayOfDisturbance',
            'License' => '\\StructType\\License',
            'ArrayOfLicense' => '\\ArrayType\\ArrayOfLicense',
            'CompanyProfileData988' => '\\StructType\\CompanyProfileData988',
            'GetCompanyProfile988Response' => '\\StructType\\GetCompanyProfile988Response',
            'GetCompanyProfileSF' => '\\StructType\\GetCompanyProfileSF',
            'ArrayOfGetCompanyProfileResponse' => '\\ArrayType\\ArrayOfGetCompanyProfileResponse',
            'GetCompanyProfileSFResponse' => '\\StructType\\GetCompanyProfileSFResponse',
            'GetCompanyProfileSF988' => '\\StructType\\GetCompanyProfileSF988',
            'ArrayOfGetCompanyProfile988Response' => '\\ArrayType\\ArrayOfGetCompanyProfile988Response',
            'GetCompanyProfileSF988Response' => '\\StructType\\GetCompanyProfileSF988Response',
            'SetCompanyProfile' => '\\StructType\\SetCompanyProfile',
            'SetCompanyProfile988' => '\\StructType\\SetCompanyProfile988',
            'GetReportingPeriodList' => '\\StructType\\GetReportingPeriodList',
            'ReportingPeriod' => '\\StructType\\ReportingPeriod',
            'ArrayOfReportingPeriod' => '\\ArrayType\\ArrayOfReportingPeriod',
            'GetReportingPeriodListResponse' => '\\StructType\\GetReportingPeriodListResponse',
            'FileObject' => '\\StructType\\FileObject',
            'SetUploadFile' => '\\StructType\\SetUploadFile',
            'SetUploadFileResponse' => '\\StructType\\SetUploadFileResponse',
            'GetFileByID' => '\\StructType\\GetFileByID',
            'GetFileByIDResponse' => '\\StructType\\GetFileByIDResponse',
            'ErrorDetails' => '\\StructType\\ErrorDetails',
        );
    }
}
