<?php

namespace EnumType;

/**
 * This class stands for HouseRoofingTypeEnum EnumType
 * @subpackage Enumerations
 */
class HouseRoofingTypeEnum
{
    /**
     * Constant for value '1'
     * Meta informations extracted from the WSDL
     * - description: Из волнистых и полуволнистых асбестоцементных листов (шиферная)
     * @return string '1'
     */
    const VALUE_1 = '1';
    /**
     * Constant for value '2'
     * Meta informations extracted from the WSDL
     * - description: Из оцинкованной стали
     * @return string '2'
     */
    const VALUE_2 = '2';
    /**
     * Constant for value '3'
     * Meta informations extracted from the WSDL
     * - description: Из металлочерепицы
     * @return string '3'
     */
    const VALUE_3 = '3';
    /**
     * Constant for value '4'
     * Meta informations extracted from the WSDL
     * - description: Из профилированного настила
     * @return string '4'
     */
    const VALUE_4 = '4';
    /**
     * Constant for value '5'
     * Meta informations extracted from the WSDL
     * - description: Из рулонных материалов
     * @return string '5'
     */
    const VALUE_5 = '5';
    /**
     * Constant for value '6'
     * Meta informations extracted from the WSDL
     * - description: Мягкая (наплавляемая) крыша
     * @return string '6'
     */
    const VALUE_6 = '6';
    /**
     * Constant for value '7'
     * Meta informations extracted from the WSDL
     * - description: Из иного материала
     * @return string '7'
     */
    const VALUE_7 = '7';
    /**
     * Constant for value '8'
     * Meta informations extracted from the WSDL
     * - description: Безрулонная железобетонная крыша
     * @return string '8'
     */
    const VALUE_8 = '8';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_1
     * @uses self::VALUE_2
     * @uses self::VALUE_3
     * @uses self::VALUE_4
     * @uses self::VALUE_5
     * @uses self::VALUE_6
     * @uses self::VALUE_7
     * @uses self::VALUE_8
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_1,
            self::VALUE_2,
            self::VALUE_3,
            self::VALUE_4,
            self::VALUE_5,
            self::VALUE_6,
            self::VALUE_7,
            self::VALUE_8,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
