<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for IncomeOfMng StructType
 * @subpackage Structs
 */
class IncomeOfMng extends AbstractStructBase
{
    /**
     * The income_of_mng
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $income_of_mng;
    /**
     * The by_houses_25
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $by_houses_25;
    /**
     * The by_houses_26_50
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $by_houses_26_50;
    /**
     * The by_houses_51_75
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $by_houses_51_75;
    /**
     * The by_houses_76
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $by_houses_76;
    /**
     * The by_houses_alarm
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $by_houses_alarm;
    /**
     * Constructor method for IncomeOfMng
     * @uses IncomeOfMng::setIncome_of_mng()
     * @uses IncomeOfMng::setBy_houses_25()
     * @uses IncomeOfMng::setBy_houses_26_50()
     * @uses IncomeOfMng::setBy_houses_51_75()
     * @uses IncomeOfMng::setBy_houses_76()
     * @uses IncomeOfMng::setBy_houses_alarm()
     * @param float $income_of_mng
     * @param float $by_houses_25
     * @param float $by_houses_26_50
     * @param float $by_houses_51_75
     * @param float $by_houses_76
     * @param float $by_houses_alarm
     */
    public function __construct($income_of_mng = null, $by_houses_25 = null, $by_houses_26_50 = null, $by_houses_51_75 = null, $by_houses_76 = null, $by_houses_alarm = null)
    {
        $this
            ->setIncome_of_mng($income_of_mng)
            ->setBy_houses_25($by_houses_25)
            ->setBy_houses_26_50($by_houses_26_50)
            ->setBy_houses_51_75($by_houses_51_75)
            ->setBy_houses_76($by_houses_76)
            ->setBy_houses_alarm($by_houses_alarm);
    }
    /**
     * Get income_of_mng value
     * @return float|null
     */
    public function getIncome_of_mng()
    {
        return $this->income_of_mng;
    }
    /**
     * Set income_of_mng value
     * @param float $income_of_mng
     * @return \StructType\IncomeOfMng
     */
    public function setIncome_of_mng($income_of_mng = null)
    {
        // validation for constraint: float
        if (!is_null($income_of_mng) && !(is_float($income_of_mng) || is_numeric($income_of_mng))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($income_of_mng, true), gettype($income_of_mng)), __LINE__);
        }
        $this->income_of_mng = $income_of_mng;
        return $this;
    }
    /**
     * Get by_houses value
     * @return by_houses
     */
    public function getBy_houses_25()
    {
        return $this->by_houses_25;
    }
    /**
     * Set by_houses value
     * @param by_houses $by_houses
     * @return \StructType\IncomeOfMng
     */
    public function setBy_houses_25($by_houses_25 = null)
    {
        // validation for constraint: float
        if (!is_null($by_houses_25) && !(is_float($by_houses_25) || is_numeric($by_houses_25))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($by_houses_25, true), gettype($by_houses_25)), __LINE__);
        }
        $this->by_houses_25 = $by_houses_25;
        return $this;
    }
    /**
     * Get by_houses value
     * @return by_houses
     */
    public function getBy_houses_26_50()
    {
        return $this->by_houses_26_50;
    }
    /**
     * Set by_houses value
     * @param by_houses $by_houses
     * @return \StructType\IncomeOfMng
     */
    public function setBy_houses_26_50($by_houses_26_50 = null)
    {
        // validation for constraint: float
        if (!is_null($by_houses_26_50) && !(is_float($by_houses_26_50) || is_numeric($by_houses_26_50))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($by_houses_26_50, true), gettype($by_houses_26_50)), __LINE__);
        }
        $this->by_houses_26_50 = $by_houses_26_50;
        return $this;
    }
    /**
     * Get by_houses value
     * @return by_houses
     */
    public function getBy_houses_51_75()
    {
        return $this->by_houses_51_75;
    }
    /**
     * Set by_houses value
     * @param by_houses $by_houses
     * @return \StructType\IncomeOfMng
     */
    public function setBy_houses_51_75($by_houses_51_75 = null)
    {
        // validation for constraint: float
        if (!is_null($by_houses_51_75) && !(is_float($by_houses_51_75) || is_numeric($by_houses_51_75))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($by_houses_51_75, true), gettype($by_houses_51_75)), __LINE__);
        }
        $this->by_houses_51_75 = $by_houses_51_75;
        return $this;
    }
    /**
     * Get by_houses value
     * @return by_houses
     */
    public function getBy_houses_76()
    {
        return $this->by_houses_76;
    }
    /**
     * Set by_houses value
     * @param by_houses $by_houses
     * @return \StructType\IncomeOfMng
     */
    public function setBy_houses_76($by_houses_76 = null)
    {
        // validation for constraint: float
        if (!is_null($by_houses_76) && !(is_float($by_houses_76) || is_numeric($by_houses_76))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($by_houses_76, true), gettype($by_houses_76)), __LINE__);
        }
        $this->by_houses_76 = $by_houses_76;
        return $this;
    }
    /**
     * Get by_houses_alarm value
     * @return float|null
     */
    public function getBy_houses_alarm()
    {
        return $this->by_houses_alarm;
    }
    /**
     * Set by_houses_alarm value
     * @param float $by_houses_alarm
     * @return \StructType\IncomeOfMng
     */
    public function setBy_houses_alarm($by_houses_alarm = null)
    {
        // validation for constraint: float
        if (!is_null($by_houses_alarm) && !(is_float($by_houses_alarm) || is_numeric($by_houses_alarm))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($by_houses_alarm, true), gettype($by_houses_alarm)), __LINE__);
        }
        $this->by_houses_alarm = $by_houses_alarm;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\IncomeOfMng
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
