<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SpendingRepair StructType
 * @subpackage Structs
 */
class SpendingRepair extends AbstractStructBase
{
    /**
     * The spending_repair
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $spending_repair;
    /**
     * The by_houses_25
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $by_houses_25;
    /**
     * The by_houses_26_50
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $by_houses_26_50;
    /**
     * The by_houses_51_75
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $by_houses_51_75;
    /**
     * The by_houses_76
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $by_houses_76;
    /**
     * The by_houses_alarm
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var float
     */
    public $by_houses_alarm;
    /**
     * Constructor method for SpendingRepair
     * @uses SpendingRepair::setSpending_repair()
     * @uses SpendingRepair::setBy_houses_25()
     * @uses SpendingRepair::setBy_houses_26_50()
     * @uses SpendingRepair::setBy_houses_51_75()
     * @uses SpendingRepair::setBy_houses_76()
     * @uses SpendingRepair::setBy_houses_alarm()
     * @param float $spending_repair
     * @param float $by_houses_25
     * @param float $by_houses_26_50
     * @param float $by_houses_51_75
     * @param float $by_houses_76
     * @param float $by_houses_alarm
     */
    public function __construct($spending_repair = null, $by_houses_25 = null, $by_houses_26_50 = null, $by_houses_51_75 = null, $by_houses_76 = null, $by_houses_alarm = null)
    {
        $this
            ->setSpending_repair($spending_repair)
            ->setBy_houses_25($by_houses_25)
            ->setBy_houses_26_50($by_houses_26_50)
            ->setBy_houses_51_75($by_houses_51_75)
            ->setBy_houses_76($by_houses_76)
            ->setBy_houses_alarm($by_houses_alarm);
    }
    /**
     * Get spending_repair value
     * @return float|null
     */
    public function getSpending_repair()
    {
        return $this->spending_repair;
    }
    /**
     * Set spending_repair value
     * @param float $spending_repair
     * @return \StructType\SpendingRepair
     */
    public function setSpending_repair($spending_repair = null)
    {
        // validation for constraint: float
        if (!is_null($spending_repair) && !(is_float($spending_repair) || is_numeric($spending_repair))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($spending_repair, true), gettype($spending_repair)), __LINE__);
        }
        $this->spending_repair = $spending_repair;
        return $this;
    }
    /**
     * Get by_houses value
     * @return by_houses
     */
    public function getBy_houses_25()
    {
        return $this->by_houses_25;
    }
    /**
     * Set by_houses value
     * @param by_houses $by_houses
     * @return \StructType\SpendingRepair
     */
    public function setBy_houses_25($by_houses_25 = null)
    {
        // validation for constraint: float
        if (!is_null($by_houses_25) && !(is_float($by_houses_25) || is_numeric($by_houses_25))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($by_houses_25, true), gettype($by_houses_25)), __LINE__);
        }
        $this->by_houses_25 = $by_houses_25;
        return $this;
    }
    /**
     * Get by_houses value
     * @return by_houses
     */
    public function getBy_houses_26_50()
    {
        return $this->by_houses_26_50;
    }
    /**
     * Set by_houses value
     * @param by_houses $by_houses
     * @return \StructType\SpendingRepair
     */
    public function setBy_houses_26_50($by_houses_26_50 = null)
    {
        // validation for constraint: float
        if (!is_null($by_houses_26_50) && !(is_float($by_houses_26_50) || is_numeric($by_houses_26_50))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($by_houses_26_50, true), gettype($by_houses_26_50)), __LINE__);
        }
        $this->by_houses_26_50 = $by_houses_26_50;
        return $this;
    }
    /**
     * Get by_houses value
     * @return by_houses
     */
    public function getBy_houses_51_75()
    {
        return $this->by_houses_51_75;
    }
    /**
     * Set by_houses value
     * @param by_houses $by_houses
     * @return \StructType\SpendingRepair
     */
    public function setBy_houses_51_75($by_houses_51_75 = null)
    {
        // validation for constraint: float
        if (!is_null($by_houses_51_75) && !(is_float($by_houses_51_75) || is_numeric($by_houses_51_75))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($by_houses_51_75, true), gettype($by_houses_51_75)), __LINE__);
        }
        $this->by_houses_51_75 = $by_houses_51_75;
        return $this;
    }
    /**
     * Get by_houses value
     * @return by_houses
     */
    public function getBy_houses_76()
    {
        return $this->by_houses_76;
    }
    /**
     * Set by_houses value
     * @param by_houses $by_houses
     * @return \StructType\SpendingRepair
     */
    public function setBy_houses_76($by_houses_76 = null)
    {
        // validation for constraint: float
        if (!is_null($by_houses_76) && !(is_float($by_houses_76) || is_numeric($by_houses_76))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($by_houses_76, true), gettype($by_houses_76)), __LINE__);
        }
        $this->by_houses_76 = $by_houses_76;
        return $this;
    }
    /**
     * Get by_houses_alarm value
     * @return float|null
     */
    public function getBy_houses_alarm()
    {
        return $this->by_houses_alarm;
    }
    /**
     * Set by_houses_alarm value
     * @param float $by_houses_alarm
     * @return \StructType\SpendingRepair
     */
    public function setBy_houses_alarm($by_houses_alarm = null)
    {
        // validation for constraint: float
        if (!is_null($by_houses_alarm) && !(is_float($by_houses_alarm) || is_numeric($by_houses_alarm))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($by_houses_alarm, true), gettype($by_houses_alarm)), __LINE__);
        }
        $this->by_houses_alarm = $by_houses_alarm;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SpendingRepair
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
